Power off a cloud instance
POST/v1/cloud_computing/instances/{instance_id}/switch_off
To switch power off, perform a POST request to the /v1/cloud_computing/instances/{instance_id}/switch_off endpoint. Select a cloud instance by adding its ID in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
instance_id | stringA unique identifier of a cloud instance. |
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/cloud_computing/instances/zPdy7aQr/switch_off"{ "id": "zPdy7aQr", "openstack_uuid": "4cf323fe-0007-4ce2-b80e-751183d7aee9", "status": "SWITCHING_OFF", "name": "name488", "region_id": 0, "region_code": "NL01", "flavor_id": "101", "flavor_name": "SSD.1", "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21", "image_name": null, "public_ipv4_address": "103.189.113.98", "private_ipv4_address": null, "local_ipv4_address": "197.90.89.62", "public_ipv6_address": null, "ipv6_enabled": false, "gpn_enabled": false, "created_at": "2025-12-31T00:00:00Z", "updated_at": "2025-12-31T00:00:00Z", "backup_copies": 0, "public_port_blocked": false, "labels": {}}